// Copyright 2004, 2005 The Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.apache.tapestry.services;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.tapestry.IRequestCycle;
import org.apache.tapestry.web.WebRequest;
import org.apache.tapestry.web.WebResponse;

/**
 * Access point for thread-local information about the current request.
 * 
 * @author Howard Lewis Ship
 * @since 4.0
 */
public interface RequestGlobals
{
    void store(HttpServletRequest request, HttpServletResponse response);

    void store(WebRequest request, WebResponse response);

    void store(IRequestCycle cycle);

    HttpServletRequest getRequest();

    WebRequest getWebRequest();

    HttpServletResponse getResponse();

    WebResponse getWebResponse();

    IRequestCycle getRequestCycle();
}